#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	ChildSafe
Summary:	IPC::ChildSafe - control a child process without blocking
Summary(pl.UTF-8):	IPC::ChildSafe - sterowanie procesem potomnym bez blokowania
Name:		perl-IPC-ChildSafe
Version:	3.16
Release:	12
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	68f9ae8be45c7399272a26bbe86d12ba
URL:		http://search.cpan.org/dist/IPC-ChildSafe/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::ChildSafe Perl module allows to control a child process without
blocking. It addresses the "blocking problem" inherent in most
coprocessing designs such as IPC::Open3.

%description -l pl.UTF-8
Moduł Perla IPC::ChildSafe umożliwia sterowanie procesem potomnym bez
blokowania. Rozwiązuje "problem blokowania" dziedziczony przez
większość rozwiązań wieloprocesowych, takich jak IPC::Open3.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/IPC/*.pm
%dir %{perl_vendorarch}/auto/IPC/ChildSafe
%attr(755,root,root) %{perl_vendorarch}/auto/IPC/ChildSafe/ChildSafe.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IPC-ChildSafe.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4716aec
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> fca9804
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> efb85a1
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> cb7b2be
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 77b3a61
- x32 rebuild
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 54f1d52
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9abf9f2
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e06eec6
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f5ebd62
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c7ae83e
- release 4

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> ef16709
- generic URL, informative summaries

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 94b8ba8
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f412a9f
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> b0c6299
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 34d4278
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3081359
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f8aa04a
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 60ac94d
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> b5cc990
- tests added

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 5171e0d
- license fixes & unification

